sboremove(1)

NAME

sboremove - remove packages installed from SlackBuilds

SYNOPSIS

sboremove [-h|-v]

sboremove [-a] sbo_name (sbo_name)

DESCRIPTION

sboremove removes packages installed from SlackBuilds, along with any unneeded dependencies. Dependency information is pulled recursively from info files and honors the contents of sbotools.hints(5); any dependencies that are required by no other installed SlackBuilds are eligible for removal as well. sboremove does not handle blacklisted scripts. If sboremove is called with the --alwaysask flag, the dependency requirements of other installed SlackBuilds are not checked.

In all cases, this script prompts the user package-by-package before performing any removal operations. No option exists to enable sboremove to uninstall packages without confirmation prompts, and there are no plans to add that functionality in the future.

Root privileges are required to run sboremove. If an invalid configuration is detected in /etc/sbotools/sbotools.conf, or if invalid options are specified, the script exits with a diagnostic message.

OPTIONS

-h|--help
    Show help information.

-v|--version
    Show version information.

-a|--alwaysask
    Always ask to remove dependencies, even if they are required by other packages installed to the system.

EXIT CODES

sboremove can exit with the following codes:
    0: all operations completed successfully.
    1: a usage error occurred, such as running sboremove with nothing to remove.
    13: circular dependencies detected.

BUGS

None known. If found, Issues and Pull Requests to https://github.com/pghvlaans/sbotools/ are always welcome.

SEE ALSO

sbocheck(1), sboclean(1), sboconfig(1), sbofind(1), sbohints(1), sboinstall(1), sboupgrade(1), sbotools.conf(5), sbotools.hints(5)

AUTHORS

Luke Williams <xocel@iquidus.org>

Jacob Pipkin <j@dawnrazor.net>

Andreas Guldstrand <andreas.guldstrand@gmail.com>

MAINTAINER

K. Eugene Carlson <kvngncrlsn@gmail.com>